Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicHyperlinkUI.BasicHyperlinkListener

    java.lang.Object
      javax.swing.plaf.basic.BasicButtonListener
          org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI.BasicHyperlinkListener

All Implemented Interfaces:
  java.awt.event.FocusListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.beans.PropertyChangeListener, java.util.EventListener, javax.swing.event.ChangeListener

Enclosing class:
  BasicHyperlinkUI

    public static class BasicHyperlinkUI.BasicHyperlinkListener

extends javax.swing.plaf.basic.BasicButtonListener

A BasicButtonListener specialized to the needs of a Hyperlink.

Author:
  Jeanette Winzenburg

Constructor Summary
`BasicHyperlinkUI.BasicHyperlinkListener(javax.swing.AbstractButton b)`

Method Summary
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class javax.swing.plaf.basic.BasicButtonListener
`checkOpacity, focusGained, focusLost, installKeyboardActions, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, propertyChange, uninstallKeyboardActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicHyperlinkUI.BasicHyperlinkListener

    public BasicHyperlinkUI.BasicHyperlinkListener(javax.swing.AbstractButton b)

Parameters:
  `b` -

Method Detail

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`
  Overrides:
    `stateChanged` in class `javax.swing.plaf.basic.BasicButtonListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.